Bug 334811 - Future Feature: Better crash reports with bug-buddy
Future Feature: Better crash reports with bug-buddy
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: bug-buddy (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
: FutureFeature
Depends On: 487587 490778
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-16 12:58 EDT by Tim McConnell
Modified: 2010-10-02 17:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-02 17:13:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim McConnell 2007-10-16 12:58:48 EDT
Description of problem: Debugger installed by default


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results: unusable crash reports via bug-buddy 


Expected results: 
I would like to ask if it would be possible/feasible to include the
debuginfo packages for GNOME by default when installing programs. The
reason I ask is because of two bugs in particular,
1)http://bugzilla.gnome.org/show_bug.cgi?id=487179
2)http://bugzilla.gnome.org/show_bug.cgi?id=440422
As you can see by the information generated from BugBuddy without the
debugger installed there is no usable information in the crash reports. 
I feel that if the debuginfo packages were installed by default then it
would help in the "triage" of bugs and speed up repair of bug fixes and
give the maintainers the information they need to squash the bugs
quicker.  If this is not possible then why not? 
Thanks, 


Additional info:
Comment 1 Jesse Keating 2007-11-15 12:39:25 EST
debuginfo packages are way too huge to install by default and to keep updated. 
I do believe our QA folks are working on a method by which you can submit your
core and debuginfo will be generated on server side.  Will?
Comment 2 Will Woods 2007-11-15 13:03:46 EST
Actually the debugger *is* available and installed by default - it's what makes
those tracebacks. Jesse is right: what's missing is the debuginfo packages.

Currently we make the user manually install debuginfo and reproduce the crash.
It's really not that hard, though: 
yum install yum-utils
debuginfo-install $PACKAGENAME

There's a couple of possible approaches to automating this:

1) Offer to automatically install debuginfo after a crash
- Requires user to wait while we download gobs of debugging info
- Requires extending bug-buddy in distro-specific ways. 

2) Upload complete core file to retracing server, then send to upstream
- User doesn't have to wait while downloading debuginfo
- Possibility of exposing sensitive user data
- Requires server-side core dump retracing process, mechanism for sending bugs
  upstream
- This is how Ubuntu's Apport works. (But they don't really send bugs upstream)

We worked on the second approach during the F8 development cycle but found that
it exposes too much user data and requires too much complexity on the server side. 

For F9 I plan on talking to the bug-buddy developers to find out how hard it
would be to get hooks for fetching debuginfo packages. In the future we could
probably use PackageKit for this, which would make the distro-specific pieces
quite small.
Comment 3 Tim McConnell 2007-11-16 00:45:48 EST
Just a thought, what about if when you enable the debug info repositories the
option is available to install the debugger packages. Or make the the debuggers
that are listed in  http://live.gnome.org/GettingTraces part of the ISO? 
Comment 4 Christopher Beland 2008-02-27 13:28:05 EST
I'm doing "debuginfo-install `rpm -qa | grep -v debuginfo`" to solve this
problem for myself, in the short term. 

Unfortunately, due to bug 427579, yum will install a whole bunch of
non-debuginfo packages you don't need.  I'm manually overriding the dependency
check that prevents me from removing them.

It will certainly be nice for non-technical users to be able submit useful crash
reports, without needing to understand what's going wrong or fiddling with the
command line.
Comment 5 Bug Zapper 2008-05-14 10:45:51 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Will Woods 2008-05-14 12:09:34 EDT
Now that some time has passed - the Right Way To Do This is either:

a) have bug-buddy offer to fetch debuginfo (hooking into PackageKit to make it
happen in a distro-agnostic way), or

b) Retrace submitted crashes on the server, apport-style.

Needs further discussion but this is still valid.
Comment 7 Christopher Beland 2009-02-18 07:59:56 EST
A fix is apparently targeted for Fedora 11:

https://fedoraproject.org/wiki/Features/DebuginfoFS
Comment 8 Tim McConnell 2009-10-25 08:11:16 EDT
Is anyone still working on this?
Comment 9 Christopher Beland 2010-10-01 10:22:25 EDT
ABRT now does this automatically.  Shall we close?
Comment 10 Tim McConnell 2010-10-02 17:13:39 EDT
(In reply to comment #9)
> ABRT now does this automatically.  Shall we close?

Sure I think it's usable for the end users

Note You need to log in before you can comment on or make changes to this bug.